## org.junit.runner.manipulation
Interface Filterable

All Known Implementing Classes:
  AllTests, BlockJUnit4ClassRunner, BlockJUnit4ClassRunnerWithParameters, Categories, Enclosed, org.junit.internal.runners.JUnit38ClassRunner, JUnit4, JUnit4TestAdapter, Parameterized, ParentRunner, Suite, org.junit.internal.runners.SuiteMethod, Theories

    public interface Filterable

Runners that allow filtering should implement this interface. Implement `filter(Filter)` to remove tests that don't pass the filter.

Since:
  4.0

Method Summary
`void` `filter(Filter filter)` Remove tests that don't pass the parameter `filter`.

Method Detail

### filter

    void filter(Filter filter)
                throws NoTestsRemainException

  Remove tests that don't pass the parameter `filter`.

  Parameters:
    `filter` - the `Filter` to apply
  Throws:
    `NoTestsRemainException` - if all tests are filtered out

Copyright © 2002–2020 JUnit. All rights reserved.